declare const _exports: {
    "name": string;
    "version": string;
    "description": string;
    "keywords": never[];
    "main": string;
    "browser": string;
    "unpkg": string;
    "module": string;
    "typings": string;
    "author": string;
    "repository": {
        "type": string;
        "url": string;
    };
    "license": string;
    "engines": {
        "node": string;
    };
    "scripts": {
        "_unlink": string;
        "_install": string;
        "lint": string;
        "prebuild": string;
        "build": string;
        "build:unpkg:dist": string;
        "start": string;
        "test": string;
        "test:watch": string;
        "test:prod": string;
        "deploy-docs": string;
        "report-coverage": string;
        "commit": string;
        "semantic-release": string;
        "semantic-release-prepare": string;
        "precommit": string;
        "serve": string;
        "develop": string;
        "release:major": string;
        "release:patch": string;
        "release:nightly": string;
        "release:dev": string;
        "release:beta": string;
        "prepublishOnly": string;
        "ci:lint": string;
        "ci:build": string;
    };
    "lint-staged": {
        "{src,test}/**/*.ts": string[];
    };
    "config": {
        "commitizen": {
            "path": string;
        };
    };
    "jest": {
        "transform": {
            ".(ts|tsx)": string;
        };
        "testEnvironment": string;
        "testRegex": string;
        "moduleFileExtensions": string[];
        "coveragePathIgnorePatterns": string[];
        "coverageThreshold": {
            "global": {
                "branches": number;
                "functions": number;
                "lines": number;
                "statements": number;
            };
        };
        "collectCoverage": boolean;
        "collectCoverageFrom": string[];
    };
    "commitlint": {
        "extends": string[];
    };
    "devDependencies": {
        "@builder.io/block-publish": string;
        "@commitlint/cli": string;
        "@commitlint/config-conventional": string;
        "@rollup/plugin-alias": string;
        "@types/fs-extra-promise": string;
        "@types/jest": string;
        "@types/node": string;
        "@types/react": string;
        "@types/react-dom": string;
        "colors": string;
        "commitizen": string;
        "concurrently": string;
        "coveralls": string;
        "cross-env": string;
        "cz-conventional-changelog": string;
        "fs-extra-promise": string;
        "http-server": string;
        "husky": string;
        "jest": string;
        "jest-config": string;
        "lint-staged": string;
        "lodash.camelcase": string;
        "prettier": string;
        "prompt": string;
        "replace-in-file": string;
        "rimraf": string;
        "rollup": string;
        "rollup-plugin-alias": string;
        "rollup-plugin-commonjs": string;
        "rollup-plugin-json": string;
        "rollup-plugin-node-resolve": string;
        "rollup-plugin-replace": string;
        "rollup-plugin-serve": string;
        "rollup-plugin-sourcemaps": string;
        "rollup-plugin-typescript2": string;
        "rollup-plugin-uglify": string;
        "rollup-plugin-visualizer": string;
        "semantic-release": string;
        "systemjs": string;
        "ts-jest": string;
        "ts-node": string;
        "tslint": string;
        "tslint-config-prettier": string;
        "tslint-config-standard": string;
        "typedoc": string;
        "typescript": string;
    };
    "optionalDependencies": {
        "@builder.io/email": string;
        "@webcomponents/custom-elements": string;
        "es6-promise": string;
    };
    "//": string;
    "dependencies": {
        "@builder.io/react": string;
        "@builder.io/sdk": string;
        "@builder.io/shopify": string;
        "@builder.io/widgets": string;
        "@emotion/core": string;
        "@types/css-font-loading-module": string;
        "liquidjs": string;
        "preact": string;
        "react": string;
        "react-dom": string;
        "tslib": string;
    };
    "gitHead": string;
};
export = _exports;
